get_compiled_sprite(3)

NAME
get_compiled_sprite

SYNOPSIS
#include <allegro.h>

COMPILED_SPRITE *get_compiled_sprite(BITMAP *bitmap, int planar);

DESCRIPTION
Creates a compiled sprite based on the specified bitmap (which must be a memory bitmap). Compiled sprites are device-dependent, so you have to specify whether to compile it into a linear or planar format. Pass FALSE as the second parameter if you are going to be drawing it onto memory bitmaps or mode 13h and SVGA screen bitmaps, and pass TRUE if you are going to draw it onto mode-X or Xtended mode screen bitmaps.

SEE ALSO
draw_compiled_sprite(3), destroy_compiled_sprite(3)